Bug 47515 - new port: Hebrew Type1 fonts
Summary: new port: Hebrew Type1 fonts
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Edwin Groothuis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-26 17:40 UTC by yonatan
Modified: 2003-04-14 01:58 UTC (History)
0 users

See Also:


Attachments
culmus.shar (7.95 KB, text/plain)
2003-01-26 17:40 UTC, yonatan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description yonatan 2003-01-26 17:40:02 UTC
	More hebrew fonts. Yay!

How-To-Repeat: 	N/A
Comment 1 yonatan 2003-03-26 15:06:19 UTC
# This is an update to version 0.8, please disregard the old shar.
# This update includes two new fonts, improved usage of pkg-message,
# using "for" to minimized the Makefile, and de-pkg-comment.
#
#
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	.
#	./distinfo
#	./Makefile
#	./pkg-plist
#	./pkg-descr
#	./pkg-message
#
echo c - .
mkdir -p . > /dev/null 2>&1
echo x - ./distinfo
sed 's/^X//' >./distinfo << 'END-of-./distinfo'
XMD5 (culmus-0.8.tar.gz) = a3d40e0f93af89179ded1a125407f309
END-of-./distinfo
echo x - ./Makefile
sed 's/^X//' >./Makefile << 'END-of-./Makefile'
X# Ports collection makefile for:  culmus
X# Date created:			  26 Mar 2003
X# Whom:				  Yonatan <Yonatan@xpert.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	culmus
XPORTVERSION=	0.8
XCATEGORIES=	hebrew
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	${PORTNAME}
X
XMAINTAINER=	yonatan@xpert.com
XCOMMENT=	Free Hebrew Type1 fonts
X
XUSE_X_PREFIX=	yes
XNO_BUILD=	yes
X
Xdo-install:
X	${MKDIR} ${PREFIX}/lib/X11/fonts/culmus
X.	for file in Aharoni-Bold Aharoni-BoldOblique Aharoni-Book Aharoni-BookOblique Caladings David-Bold David-Medium David-MediumItalic Drugulin-Bold Drugulin-BoldItalic FrankRuehl-Bold FrankRuehl-BoldOblique FrankRuehl-Medium FrankRuehl-MediumOblique KtavYad-BoldItalic KtavYad-MediumItalic MiriamMono-Bold MiriamMono-BoldOblique MiriamMono-Book MiriamMono-BookOblique Nachlieli-Bold Nachlieli-BoldOblique Nachlieli-Light Nachlieli-LightOblique
X		${INSTALL_DATA} ${WRKSRC}/${file}.afm ${PREFIX}/lib/X11/fonts/culmus
X		${INSTALL_DATA} ${WRKSRC}/${file}.pfa ${PREFIX}/lib/X11/fonts/culmus
X.	endfor
X	${INSTALL_DATA} ${WRKSRC}/fonts.alias ${PREFIX}/lib/X11/fonts/culmus
X	${INSTALL_DATA} ${WRKSRC}/fonts.dir ${PREFIX}/lib/X11/fonts/culmus
X	${INSTALL_DATA} ${WRKSRC}/fonts.scale ${PREFIX}/lib/X11/fonts/culmus
X
Xpost-install:
X	@${SED} "s|PREFIX|${PREFIX}|" ${PKGMESSAGE}
X
X.include <bsd.port.mk>
END-of-./Makefile
echo x - ./pkg-plist
sed 's/^X//' >./pkg-plist << 'END-of-./pkg-plist'
Xlib/X11/fonts/culmus/Aharoni-Bold.afm
Xlib/X11/fonts/culmus/Aharoni-BoldOblique.afm
Xlib/X11/fonts/culmus/Aharoni-Book.afm
Xlib/X11/fonts/culmus/Aharoni-BookOblique.afm
Xlib/X11/fonts/culmus/Caladings.afm
Xlib/X11/fonts/culmus/David-Bold.afm
Xlib/X11/fonts/culmus/David-Medium.afm
Xlib/X11/fonts/culmus/David-MediumItalic.afm
Xlib/X11/fonts/culmus/Drugulin-Bold.afm
Xlib/X11/fonts/culmus/Drugulin-BoldItalic.afm
Xlib/X11/fonts/culmus/FrankRuehl-Bold.afm
Xlib/X11/fonts/culmus/FrankRuehl-BoldOblique.afm
Xlib/X11/fonts/culmus/FrankRuehl-Medium.afm
Xlib/X11/fonts/culmus/FrankRuehl-MediumOblique.afm
Xlib/X11/fonts/culmus/KtavYad-BoldItalic.afm
Xlib/X11/fonts/culmus/KtavYad-MediumItalic.afm
Xlib/X11/fonts/culmus/MiriamMono-Bold.afm
Xlib/X11/fonts/culmus/MiriamMono-BoldOblique.afm
Xlib/X11/fonts/culmus/MiriamMono-Book.afm
Xlib/X11/fonts/culmus/MiriamMono-BookOblique.afm
Xlib/X11/fonts/culmus/Nachlieli-Bold.afm
Xlib/X11/fonts/culmus/Nachlieli-BoldOblique.afm
Xlib/X11/fonts/culmus/Nachlieli-Light.afm
Xlib/X11/fonts/culmus/Nachlieli-LightOblique.afm
Xlib/X11/fonts/culmus/Aharoni-Bold.pfa
Xlib/X11/fonts/culmus/Aharoni-BoldOblique.pfa
Xlib/X11/fonts/culmus/Aharoni-Book.pfa
Xlib/X11/fonts/culmus/Aharoni-BookOblique.pfa
Xlib/X11/fonts/culmus/Caladings.pfa
Xlib/X11/fonts/culmus/David-Bold.pfa
Xlib/X11/fonts/culmus/David-Medium.pfa
Xlib/X11/fonts/culmus/David-MediumItalic.pfa
Xlib/X11/fonts/culmus/Drugulin-Bold.pfa
Xlib/X11/fonts/culmus/Drugulin-BoldItalic.pfa
Xlib/X11/fonts/culmus/FrankRuehl-Bold.pfa
Xlib/X11/fonts/culmus/FrankRuehl-BoldOblique.pfa
Xlib/X11/fonts/culmus/FrankRuehl-Medium.pfa
Xlib/X11/fonts/culmus/FrankRuehl-MediumOblique.pfa
Xlib/X11/fonts/culmus/KtavYad-BoldItalic.pfa
Xlib/X11/fonts/culmus/KtavYad-MediumItalic.pfa
Xlib/X11/fonts/culmus/MiriamMono-Bold.pfa
Xlib/X11/fonts/culmus/MiriamMono-BoldOblique.pfa
Xlib/X11/fonts/culmus/MiriamMono-Book.pfa
Xlib/X11/fonts/culmus/MiriamMono-BookOblique.pfa
Xlib/X11/fonts/culmus/Nachlieli-Bold.pfa
Xlib/X11/fonts/culmus/Nachlieli-BoldOblique.pfa
Xlib/X11/fonts/culmus/Nachlieli-Light.pfa
Xlib/X11/fonts/culmus/Nachlieli-LightOblique.pfa
Xlib/X11/fonts/culmus/fonts.alias
Xlib/X11/fonts/culmus/fonts.dir
Xlib/X11/fonts/culmus/fonts.scale
X@dirrm lib/X11/fonts/culmus
END-of-./pkg-plist
echo x - ./pkg-descr
sed 's/^X//' >./pkg-descr << 'END-of-./pkg-descr'
X7 Hebrew font families. ASCII glyphs borrowed from the URW and Bitstream
Xfonts.  Those families provide a basic set of a serif (Frank Ruehl), sans
Xserif (Nachlieli) and monospaced (Miriam Mono) fonts. Also included
XDrugulin, Ktav Yad, Aharoni and David.
X
XWWW:	http://culmus.sourceforge.net/
END-of-./pkg-descr
echo x - ./pkg-message
sed 's/^X//' >./pkg-message << 'END-of-./pkg-message'
XYou'll have to add this port's directory (PREFIX/lib/X11/fonts/culmus
Xto you're X font path. If you installed X to the X port default then:
X
X$ xset fp+ PREFIX/lib/X11/fonts/culmus
X$ xset fp rehash
X
Xor by adding it to you're X-server configuration file (usually
X/etc/XF86Config or /etc/Xaccel.ini) and restarting the X-server.
X
XIt is also a good idea to add this directory to your "catalogue"
Xline in the XFS configuration file (default:
XPREFIX/lib/X11/fs/config).
END-of-./pkg-message
exit
Comment 2 Edwin Groothuis freebsd_committer 2003-04-02 11:56:04 UTC
State Changed
From-To: open->feedback

===>  Extracting for culmus-0.8 

Comment 3 yonatan 2003-04-03 09:16:25 UTC
> -----Original Message-----
> From: Edwin Groothuis [mailto:edwin@FreeBSD.org]
> Sent: Wednesday, April 02, 2003 13:57
> To: Yonatan Bokovza; edwin@FreeBSD.org;=20
> freebsd-ports-bugs@FreeBSD.org; edwin@FreeBSD.org
> Subject: Re: ports/47515: new port: Hebrew Type1 fonts
>
> Responsible-Changed-From-To: freebsd-ports-bugs->edwin
> Responsible-Changed-By: edwin
> Responsible-Changed-When: Wed Apr 2 02:56:04 PST 2003
> Responsible-Changed-Why:=20
> I'll handle it with the submitter

Author changed the RPM script. I verified manually.
New MD5:
9b9b34aa43e4973187ade2d7fa03aff8
Comment 4 yonatan 2003-04-03 09:16:25 UTC
> -----Original Message-----
> From: Edwin Groothuis [mailto:edwin@FreeBSD.org]
> Sent: Wednesday, April 02, 2003 13:57
> To: Yonatan Bokovza; edwin@FreeBSD.org;=20
> freebsd-ports-bugs@FreeBSD.org; edwin@FreeBSD.org
> Subject: Re: ports/47515: new port: Hebrew Type1 fonts
>
> Responsible-Changed-From-To: freebsd-ports-bugs->edwin
> Responsible-Changed-By: edwin
> Responsible-Changed-When: Wed Apr 2 02:56:04 PST 2003
> Responsible-Changed-Why:=20
> I'll handle it with the submitter

Author changed the RPM script. I verified manually.
New MD5:
9b9b34aa43e4973187ade2d7fa03aff8
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 5 yonatan 2003-04-13 09:09:19 UTC
Another go. This time I payed more attention to the fonts.scale and
fonts.dir files. The pkg-message looks better when I add blank lines
to the beginning and the end, but portlint complains about it, so I
don't.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	.
#	./distinfo
#	./Makefile
#	./pkg-plist
#	./pkg-descr
#	./pkg-message
#
echo c - .
mkdir -p . > /dev/null 2>&1
echo x - ./distinfo
sed 's/^X//' >./distinfo << 'END-of-./distinfo'
XMD5 (culmus-0.8.tar.gz) =3D 9b9b34aa43e4973187ade2d7fa03aff8
END-of-./distinfo
echo x - ./Makefile
sed 's/^X//' >./Makefile << 'END-of-./Makefile'
X# Ports collection makefile for:  culmus
X# Date created:			  11 Apr 2003
X# Whom:				  Yonatan <Yonatan@xpert.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=3D	culmus
XPORTVERSION=3D	0.8
XCATEGORIES=3D	hebrew
XMASTER_SITES=3D	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=3D	${PORTNAME}
X
XMAINTAINER=3D	yonatan@xpert.com
XCOMMENT=3D	Free Hebrew Type1 fonts
X
XBUILD_DEPENDS=3D	mkfontdir:${PORTSDIR}/x11/XFree86-4-clients
X
XUSE_X_PREFIX=3D	yes
XNO_BUILD=3D	yes
X
Xdo-install:
X	${MKDIR} ${PREFIX}/lib/X11/fonts/culmus
X.	for file in Aharoni-Bold Aharoni-BoldOblique Aharoni-Book =
Aharoni-BookOblique Caladings David-Bold David-Medium David-MediumItalic =
Drugulin-Bold Drugulin-BoldItalic FrankRuehl-Bold FrankRuehl-BoldOblique =
FrankRuehl-Medium FrankRuehl-MediumOblique KtavYad-BoldItalic =
KtavYad-MediumItalic MiriamMono-Bold MiriamMono-BoldOblique =
MiriamMono-Book MiriamMono-BookOblique Nachlieli-Bold =
Nachlieli-BoldOblique Nachlieli-Light Nachlieli-LightOblique
X		${INSTALL_DATA} ${WRKSRC}/${file}.afm ${PREFIX}/lib/X11/fonts/culmus
X		${INSTALL_DATA} ${WRKSRC}/${file}.pfa ${PREFIX}/lib/X11/fonts/culmus
X.	endfor
X	@cd ${WRKSRC}; ${PREFIX}/bin/mkfontscale; ${PREFIX}/bin/mkfontdir
X	${INSTALL_DATA} ${WRKSRC}/fonts.dir ${PREFIX}/lib/X11/fonts/culmus
X	${INSTALL_DATA} ${WRKSRC}/fonts.scale ${PREFIX}/lib/X11/fonts/culmus
X
Xpost-install:
X	@${SED} "s|PREFIX|${PREFIX}|" ${PKGMESSAGE}
X
X.include <bsd.port.mk>
END-of-./Makefile
echo x - ./pkg-plist
sed 's/^X//' >./pkg-plist << 'END-of-./pkg-plist'
Xlib/X11/fonts/culmus/Aharoni-Bold.afm
Xlib/X11/fonts/culmus/Aharoni-BoldOblique.afm
Xlib/X11/fonts/culmus/Aharoni-Book.afm
Xlib/X11/fonts/culmus/Aharoni-BookOblique.afm
Xlib/X11/fonts/culmus/Caladings.afm
Xlib/X11/fonts/culmus/David-Bold.afm
Xlib/X11/fonts/culmus/David-Medium.afm
Xlib/X11/fonts/culmus/David-MediumItalic.afm
Xlib/X11/fonts/culmus/Drugulin-Bold.afm
Xlib/X11/fonts/culmus/Drugulin-BoldItalic.afm
Xlib/X11/fonts/culmus/FrankRuehl-Bold.afm
Xlib/X11/fonts/culmus/FrankRuehl-BoldOblique.afm
Xlib/X11/fonts/culmus/FrankRuehl-Medium.afm
Xlib/X11/fonts/culmus/FrankRuehl-MediumOblique.afm
Xlib/X11/fonts/culmus/KtavYad-BoldItalic.afm
Xlib/X11/fonts/culmus/KtavYad-MediumItalic.afm
Xlib/X11/fonts/culmus/MiriamMono-Bold.afm
Xlib/X11/fonts/culmus/MiriamMono-BoldOblique.afm
Xlib/X11/fonts/culmus/MiriamMono-Book.afm
Xlib/X11/fonts/culmus/MiriamMono-BookOblique.afm
Xlib/X11/fonts/culmus/Nachlieli-Bold.afm
Xlib/X11/fonts/culmus/Nachlieli-BoldOblique.afm
Xlib/X11/fonts/culmus/Nachlieli-Light.afm
Xlib/X11/fonts/culmus/Nachlieli-LightOblique.afm
Xlib/X11/fonts/culmus/Aharoni-Bold.pfa
Xlib/X11/fonts/culmus/Aharoni-BoldOblique.pfa
Xlib/X11/fonts/culmus/Aharoni-Book.pfa
Xlib/X11/fonts/culmus/Aharoni-BookOblique.pfa
Xlib/X11/fonts/culmus/Caladings.pfa
Xlib/X11/fonts/culmus/David-Bold.pfa
Xlib/X11/fonts/culmus/David-Medium.pfa
Xlib/X11/fonts/culmus/David-MediumItalic.pfa
Xlib/X11/fonts/culmus/Drugulin-Bold.pfa
Xlib/X11/fonts/culmus/Drugulin-BoldItalic.pfa
Xlib/X11/fonts/culmus/FrankRuehl-Bold.pfa
Xlib/X11/fonts/culmus/FrankRuehl-BoldOblique.pfa
Xlib/X11/fonts/culmus/FrankRuehl-Medium.pfa
Xlib/X11/fonts/culmus/FrankRuehl-MediumOblique.pfa
Xlib/X11/fonts/culmus/KtavYad-BoldItalic.pfa
Xlib/X11/fonts/culmus/KtavYad-MediumItalic.pfa
Xlib/X11/fonts/culmus/MiriamMono-Bold.pfa
Xlib/X11/fonts/culmus/MiriamMono-BoldOblique.pfa
Xlib/X11/fonts/culmus/MiriamMono-Book.pfa
Xlib/X11/fonts/culmus/MiriamMono-BookOblique.pfa
Xlib/X11/fonts/culmus/Nachlieli-Bold.pfa
Xlib/X11/fonts/culmus/Nachlieli-BoldOblique.pfa
Xlib/X11/fonts/culmus/Nachlieli-Light.pfa
Xlib/X11/fonts/culmus/Nachlieli-LightOblique.pfa
Xlib/X11/fonts/culmus/fonts.dir
Xlib/X11/fonts/culmus/fonts.scale
X@dirrm lib/X11/fonts/culmus
END-of-./pkg-plist
echo x - ./pkg-descr
sed 's/^X//' >./pkg-descr << 'END-of-./pkg-descr'
X7 Hebrew font families. ASCII glyphs borrowed from the URW and =
Bitstream
Xfonts.  Those families provide a basic set of a serif (Frank Ruehl), =
sans
Xserif (Nachlieli) and monospaced (Miriam Mono) fonts. Also included
XDrugulin, Ktav Yad, Aharoni and David.
X
XWWW:	http://culmus.sourceforge.net/
END-of-./pkg-descr
echo x - ./pkg-message
sed 's/^X//' >./pkg-message << 'END-of-./pkg-message'
XYou'll have to add this port's directory (PREFIX/lib/X11/fonts/culmus
Xto you're X font path. Here's how:
X
X$ xset fp+ PREFIX/lib/X11/fonts/culmus
X$ xset fp rehash
X
Xor by adding a FontPath line for it in the X-server configuration file
X(usually /etc/XF86Config or /etc/Xaccel.ini) and restarting the =
X-server.
X
XIf you're using XFS it is also a good idea to add this directory to
Xyour "catalogue" line in the XFS configuration file:
XPREFIX/lib/X11/fs/config
END-of-./pkg-message
exit
Comment 6 Edwin Groothuis freebsd_committer 2003-04-14 01:58:01 UTC
State Changed
From-To: feedback->closed

Commited, thanks!